/********************************************************************
This file is part of abs, a spreadsheet with graphical user interface

Copyright (C) 1998  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/


#ifndef BUTTONBAR_H
#define BUTTONBAR_H

#include <stdio.h>
#include "pixmap.h"
#include "param.h"
#include "cblist.h"

Widget zm;

typedef struct
  {
    int Initialized;

  }
Buttonbar;

extern Buttonbar *
  newbuttonbar (Widget buttonbar);

extern void
  z200 ();
extern void
  z150 ();
extern void
  z120 ();
extern void
  z110 ();
extern void
  z100 ();
extern void
  z90 ();
extern void
  z80 ();
extern void
  z75 ();
extern void
  z60 ();
extern void z50 ();
extern void z25 ();

static struct menuEntry zmMenuEntries[] =
{
  "200%", z200,
  "150%", z150,
  "120%", z120,
  "110%", z110,
  "100%", z100,
  "90%", z90,
  "80%", z80,
  "75%", z75,
  "60%", z60,
  "50%", z50,
  "25%", z25,
};

#endif
