/********************************************************************
This file is part of abs, a spreadsheet with graphical user interface

Copyright (C) 1998  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/


#define PLBORDER	1

#define Max(a, b) ((a)>(b) ? (a) : (b))
#define Min(a, b) ((a)<(b) ? (a) : (b))

int RECT_X;
int RECT_Y;
int RECT_W;
int RECT_H;
int WIN_W;
int WIN_H;

Window win;
unsigned long pad;
unsigned long fg, bg, bd;
unsigned long bw;
XEvent event;
XSizeHints xsh;
XSetWindowAttributes xswa;
XWindowAttributes xwa;

extern double pow10 ();
extern char *rm_tail_zero ();
extern void DrwOpenSquare ();
extern void DrwCloseSquare ();
extern void DrwOpenDiamon ();
extern void DrwCloseDiamon ();
extern void DrwCross ();
extern void DrwOpenTriangle ();

extern double Lpow10 ();
extern char *Lrm_tail_zero ();
extern void LDrwOpenSquare ();
extern void LDrwCloseSquare ();
extern void LDrwOpenDiamon ();
extern void LDrwCloseDiamon ();
extern void LDrwCross ();
extern void LDrwOpenTriangle ();
