/********************************************************************
This file is part of abs, a spreadsheet with graphical user interface

Copyright (C) 1998  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef CBLIST_H
#define CBLIST_H
extern void cbdb1up ();
extern void cbdb2up ();
extern void cb_DocBtn3Up ();
extern void cbdmv ();
extern void cb_DocBtn1Motion ();
extern void cb_DocBtn2Motion ();
extern void cbdb1down ();
extern void cbdn2down ();
extern void cb_TextReturn ();
extern void cbbak ();
extern void cbdel ();
extern void cb_DocDelete ();
extern void cbtup ();
extern void cbtdown ();
extern void cbtleft ();
extern void cbtright ();
extern void cb_PageHome ();
extern void cbpgup ();
extern void cbpgleft ();
extern void cbpgrig ();
extern void cbpgdwn ();
extern void cb_ScrollBtn1Up ();
extern void cb_ScrollBtn1Motion ();
extern void cb_ScrollBtn1Down ();
extern void cb_TextChange ();
extern void cb_ZoomChange ();
extern void cb_popdown ();
extern void cb_redrwdra ();
extern void cb_redrwgra ();

extern void notyetcb ();

extern void cb_BtnCancel ();
extern void cb_BtnOk ();

extern void a_paste ();
extern void a_popdown ();

extern void a_nothing ();
extern int a_textchg ();
extern void PopupHandler ();
extern void mpst ();
extern void mbrsh ();
extern void m_sum ();
extern void m_sorta ();
extern void m_sortd ();
extern void mcut ();
extern void mcpy ();
extern void m_format ();
extern void m_border ();
extern void m_incr ();
extern void m_creaplt ();
extern void m_color ();
extern void mcpyd ();
extern void mcpyr ();
extern void m_nfile ();
extern void m_ofile (char * filename);
extern void m_changewin ();
extern void m_ofac (char * filename);
extern void m_insertfl (char * filename);
extern void m_exportfile (char * filename);
extern void m_sfile (char * filename);
extern void m_sasfile (char * filename);
extern void m_printfl ();
extern void m_as ();
extern void m_ds ();
extern void makeprint ();
extern void m_exit ();
extern void m_line ();
extern void m_fit ();
extern void m_spline ();
extern void m_editdrw ();
extern void m_exitdrw ();
extern void m_update ();
extern void InvokeLecfacCb ();
extern void InvokeLecenrCb ();
extern void InvokeSamoptionCb ();
extern void m_plotline ();
extern void m_plotrect ();
extern void m_plotarc ();
extern void m_plotcircle ();

extern void m_printfl ();
extern void m_print ();
extern void printfl ();
extern void openfl ();
extern void savefl ();
extern void saveasfile ();
extern void insertfl ();
extern void exportfile ();
extern void inifac ();
extern void m_close ();

extern void m_about ();
extern void m_online ();

extern void setrange ();
extern void getrange ();
extern void updatechrt ();
extern void
  echfct (char *);

extern void cb_Repaint ();

extern void X11m_formatnumber ();
extern void X11m_plotoption ();
extern void X11m_ofile ();
extern void X11m_sfile ();
extern void X11m_sasfile ();
extern void X11m_ofac ();
extern void X11m_print ();
extern void X11m_formatborder ();
extern void X11m_macro ();
extern void X11m_insertfl ();
extern void X11m_exportfile ();
extern void cb_flpopup ();

extern xresize ();

#endif
