/********************************************************************
This file is part of abs, a spreadsheet with graphical user interface

Copyright (C) 1998  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#ifndef DRAW_H
#define DRAW_H

#include "style.h"

#include "stdio.h"

typedef struct
  {
    int x1;
    int y1;
    int x2;
    int y2;
    int type;
    struct Style *style;
  }
Drwing;

extern Drwing *ActivDrwing;

extern Drwing *newdrwing ();
extern Drwing *newdrwing1 (Drwing *);
extern int freedrwing (Drwing *);
extern Drwing *
  drwing_r (FILE * fp);
extern int
  drwing_w (Drwing * drwing, FILE * fp);
extern int
  drwing_copy (Drwing * drwing1, Drwing * drwing2);

extern int
  drwing_pnt (Drwing * drwing, int x, int y, int dx, int dy);
extern int
  ActivateDrwing (Drwing * drwing);

#endif
