/********************************************************************
This file is part of abs, a spreadsheet with graphical user interface

Copyright (C) 1998  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#define         TRANSP_BACKGROUND       -3
#define         TRANSP_NONE             -2

#define         DEFAULT               (-1)

#define         SOLID_LINE              0
#define         DASHLINE               1
#define         DOTTED_LINE             2
#define         DASH_DOT_LINE           3
#define         DASH_2_DOTS_LINE        4
#define         DASH_3_DOTS_LINE        5

#define         RUBBER_LINE             11
#define         PANEL_LINE              12

#define         BLACK                   0
#define         BLUE                    1
#define         GREEN                   2
#define         CYAN                    3
#define         RED                     4
#define         MAGENTA                 5
#define         YELLOW                  6
#define         WHITE                   7

#define                                 T_LEFT_JUSTIFIED        0
#define                                 T_CENTER_JUSTIFIED      1
#define                                 T_RIGHT_JUSTIFIED       2

#define                                 RIGID_TEXT              1
#define                                 SPECIAL_TEXT            2
#define                                 PSFONT_TEXT             4
#define                                 HIDDEN_TEXT             8

#define DEF_FONTSIZE 12
#define DEF_PS_FONT 0
#define DEF_LATEX_FONT 0
#define PS_FONTPANE_WD 290
#define LATEX_FONTPANE_WD 112
#define PS_FONTPANE_HT 20
#define LATEX_FONTPANE_HT 20
#define NUM_FONTS 35
#define NUM_LATEX_FONTS 6
