/********************************************************************
This file is part of abs, a spreadsheet with graphical user interface

Copyright (C) 1998  Andr Bertin (Andre.Bertin@ping.be) 

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version if in the same spirit as version 2.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Concact: Andre.Bertin@ping.be
         http://www.ping.be/bertin/abs.shtml

*********************************************************************/

#define DIGIT 257
#define LETTER 258
#define QUIT 259
#define DEBUG 260
#define INTEGER_CONSTANT 261
#define CHARACTER_CONSTANT 262
#define FLOATING_CONSTANT 263
#define STRING_CONSTANT 264
#define STRING_IDENTIFIER 265
#define IDENTIFIER 266
#define YY_CELL 267
#define IF 268
#define THEN 269
#define ELSE 270
#define FOR 271
#define DO 272
#define WHILE 273
#define TO 274
#define STEP 275
#define CONTINUE 276
#define BREAK 277
#define RETURN 278
#define GOTO 279
#define SUB 280
#define END 281
#define CALL 282
#define FUNCTION 283
#define SWITCH 284
#define PRINT 285
#define NEXT 286
#define SYSTEM 287
#define PRINTOUT 288
#define WORKBOOKS 289
#define WORKBOOK_OBJ 290
#define WORKSHEETS 291
#define WORKSHEET_OBJ 292
#define CELLS 293
#define CELL_OBJ 294
#define FORMULA 295
#define LINESTYLE 296
#define BORDERS 297
#define RANGE 298
#define NUMBERFORMAT 299
#define SELECT 300
#define SELECTION 301
#define CHARTOBJECTS 302
#define ADD 303
#define CHART 304
#define AXES 305
#define HASMAJORGRIDLINES 306
#define HASTITLE 307
#define TEXT 308
#define CHARTTITLE 309
#define AXISTITLE 310
#define SHAPES 311
#define ADDLINE 312
#define ADDSHAPE 313
#define ACTIVECHART 314
#define ACTIVECELL 315
#define ACTIVESHEET 316
#define SETSOURCEDATA 317
#define SOURCE 318
#define SERIESCOLLECTION 319
#define VALUES 320
#define NAME 321
#define SERIE 322
#define CHARTTYPE 323
#define FONT 324
#define SIZE 325
#define ITALIC 326
#define BOLD 327
#define INTERIOR 328
#define COLORINDEX 329
#define HORIZONTALALIGNMENT 330
#define COLUMNS 331
#define COLUMNWIDTH 332
#define ROWS 333
#define ROWHEIGHT 334
#define ACOS 335
#define ASIN 336
#define ATAN 337
#define ATAN2 338
#define CEIL 339
#define CONCATENATE 340
#define COS 341
#define COSH 342
#define EPT 343
#define EXP 344
#define FABS 345
#define FLOOR 346
#define FMOD 347
#define FREXP 348
#define GPD 349
#define GPF 350
#define LDEXP 351
#define LOG 352
#define LOG10 353
#define absMAX 354
#define absMIN 355
#define MODF 356
#define MAXMEAN 357
#define ORDER 358
#define POW 359
#define SEND 360
#define SIN 361
#define SINH 362
#define SPAWN 363
#define SQRT 364
#define SUM 365
#define RECEIVE 366
#define TAN 367
#define TANH 368
#define ACTIVATE 369
#define CREATE 370
#define EQ 371
#define NE 372
#define LE 373
#define LT 374
#define GT 375
#define GE 376
#define OR 377
#define AND 378
#define NEWLINE 379
#define UMINUS 380
